Bug 848443 - SELinux is preventing /usr/sbin/condor_master from 'search' accesses on the directory kernel.
SELinux is preventing /usr/sbin/condor_master from 'search' accesses on the d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:458ca308019292cc14985e5f22e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 11:56 EDT by Timothy St. Clair
Modified: 2012-08-27 19:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-27 19:03:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy St. Clair 2012-08-15 11:56:38 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.5.0-2.fc17.x86_64
time:           Wed 15 Aug 2012 10:56:08 AM CDT

description:
:SELinux is preventing /usr/sbin/condor_master from 'search' accesses on the directory kernel.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that condor_master should be allowed search access on the kernel directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep condor_master /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:condor_master_t:s0
:Target Context                system_u:object_r:sysctl_kernel_t:s0
:Target Objects                kernel [ dir ]
:Source                        condor_master
:Source Path                   /usr/sbin/condor_master
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           condor-7.9.1-0.1.fc17.2.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-145.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.0-2.fc17.x86_64 #1 SMP Mon Jul
:                              30 14:48:59 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    2012-08-15 10:48:49 CDT
:Last Seen                     2012-08-15 10:49:12 CDT
:Local ID                      edf16faf-c3dc-452c-8d60-317664d38056
:
:Raw Audit Messages
:type=AVC msg=audit(1345045752.12:3186): avc:  denied  { search } for  pid=29960 comm="condor_master" name="kernel" dev="proc" ino=2810167 scontext=system_u:system_r:condor_master_t:s0 tcontext=system_u:object_r:sysctl_kernel_t:s0 tclass=dir
:
:
:type=AVC msg=audit(1345045752.12:3186): avc:  denied  { read } for  pid=29960 comm="condor_master" name="ngroups_max" dev="proc" ino=2810168 scontext=system_u:system_r:condor_master_t:s0 tcontext=system_u:object_r:sysctl_kernel_t:s0 tclass=file
:
:
:type=AVC msg=audit(1345045752.12:3186): avc:  denied  { open } for  pid=29960 comm="condor_master" path="/proc/sys/kernel/ngroups_max" dev="proc" ino=2810168 scontext=system_u:system_r:condor_master_t:s0 tcontext=system_u:object_r:sysctl_kernel_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1345045752.12:3186): arch=x86_64 syscall=open success=yes exit=ESRCH a0=355f976f85 a1=0 a2=15e3980 a3=18 items=0 ppid=29363 pid=29960 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=64 sgid=0 fsgid=64 tty=(none) ses=4294967295 comm=condor_master exe=/usr/sbin/condor_master subj=system_u:system_r:condor_master_t:s0 key=(null)
:
:Hash: condor_master,condor_master_t,sysctl_kernel_t,dir,search
:
:audit2allow
:
:#============= condor_master_t ==============
:allow condor_master_t sysctl_kernel_t:dir search;
:allow condor_master_t sysctl_kernel_t:file { read open };
:
:audit2allow -R
:
:#============= condor_master_t ==============
:allow condor_master_t sysctl_kernel_t:dir search;
:allow condor_master_t sysctl_kernel_t:file { read open };
:
Comment 1 Miroslav Grepl 2012-08-20 04:24:16 EDT
Fixed in selinux-policy-3.10.0-146.fc17.noarch
Comment 2 Fedora Update System 2012-08-20 09:09:48 EDT
selinux-policy-3.10.0-146.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-146.fc17
Comment 3 Fedora Update System 2012-08-21 05:50:27 EDT
Package selinux-policy-3.10.0-146.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-146.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12355/selinux-policy-3.10.0-146.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-27 19:03:34 EDT
selinux-policy-3.10.0-146.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.